Name:    nde-archiver
Summary: A simple & lightweight desktop-agnostic Qt file archiver
Version: 0.3.0
Release: 17.1%{?dist} 
License: GPLv2+
Source0: %{name}-%{version}.tar.gz
Source1: nde-archiver.appdata.xml
 
BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: nde-lib-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: qt5-linguist
BuildRequires: desktop-file-utils
BuildRequires: nde-build-tools
BuildRequires: libfm-qt-devel
BuildRequires: json-glib-devel
BuildRequires: libexif-devel
BuildRequires: libappstream-glib
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kio-devel

%if 0%{?el7}
BuildRequires:  devtoolset-7-gcc-c++
%else
BuildRequires:  gcc-c++
%endif
Requires: nde-archiver-l10n

%if 0%{?rhel}
Requires: /usr/bin/ar
Requires: /usr/bin/bzip2
Requires: /usr/bin/compress
Requires: /usr/bin/cpio
Requires: /usr/bin/gzip
Requires: /usr/bin/isoinfo
Requires: /usr/bin/lzop
Requires: /usr/bin/tar
Requires: /usr/bin/unzip
Requires: /usr/bin/xz
Requires: /usr/bin/zip
Requires: /usr/bin/bsdtar
%endif

%description
%{summary}.

%package l10n
BuildArch:      noarch
Summary:        Translations for nde-archiver
Requires:       nde-archiver
%description l10n
This package provides translations for the nde-archiver package.

%prep
%setup -q

%build
%if 0%{?el7}
scl enable devtoolset-7 - <<\EOF
%endif
mkdir -p %{_target_platform}
pushd %{_target_platform}
   %{cmake_nde} -DUSE_QT5=TRUE -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%if 0%{?el7}
EOF
%endif

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-edit \
    --remove-category=Nde --add-category=X-Nde \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/nde/translations/%{name}
mkdir -p %{buildroot}%{_metainfodir}/
cp %{SOURCE1} %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%find_lang %{name} --with-qt

%files
%doc CHANGELOG AUTHORS README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/isoinfo.sh
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml
%dir %{_datadir}/%{name}


%files l10n -f %{name}.lang
%doc CHANGELOG AUTHORS README.md
%license LICENSE
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/%{name}_*

%changelog
* Fri Jan 10 2024 heleilei <he.leilei@gd-linux.com> - 0.3.0-17.1
- 去掉蓝牙依赖

* Thu Sep 23 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-17
- 增长时限

* Wed Sep 22 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-16
- 路径转码，屏蔽软件打开加密文件

* Sat Sep 18 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-15
- 处理unzip解压不了密码包问题

* Mon Sep 06 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-14
- 处理多后缀问题

* Tue Aug 17 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.3.0-13
- 修复以.tar结尾的文件无法压缩问题(#3934)

* Wed Aug 11 2021 Li shengsong <li.shengsong@zte.com.cn> - 0.3.0-12
- 汉化全部Qmessagebxo按钮

* Wed Jun 16 2021 Li shengsong <li.shengsong@zte.com.cn> - 0.3.0-11
- 优化无权限压缩错误提示界面

* Wed May 12 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-10
- 拆分包解压转码，补全图标问题

* Wed Apr 07 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-9
- 添加翻译

* Tue Mar 30 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-8
- 进入快捷压缩解压界面时也设置图标

* Wed Mar 10 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-7
- 更换拆分单位，筛选支持拆分的格式,支持rpm包解压

* Wed Mar 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-5
- 添加依赖

* Tue Mar 02 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-4
- 识别到拆分包还是优先进入7za命令的解压

* Fri Feb 26 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-3
- 创建压缩文件自动更改后缀名，更换名字图标,同步中文乱码问题

* Fri Jan 29 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.3.0-2
- 界面居中，翻译更新，默认筛选选项为所有文件

* Mon Nov 23 2020 Zamir SUN <sztsian@gmail.com> - 0.3.0-1
- Update to 0.3.0

